Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder.keys
Class StringKey

    java.lang.Object
      org.apache.batik.transcoder.TranscodingHints.Key
          org.apache.batik.transcoder.keys.StringKey

public class StringKey
extends TranscodingHints.Key

A transcoding Key represented as a string.

Constructor Summary
`StringKey()`

Method Summary
`boolean` | `isCompatibleValue(java.lang.Object v)` Returns true if the specified object is a valid value for this key, false otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringKey

    public StringKey()

Method Detail

### isCompatibleValue

    public boolean isCompatibleValue(java.lang.Object v)

  Description copied from class: `TranscodingHints.Key`
  Returns true if the specified object is a valid value for this key, false otherwise.

  Specified by:
    `isCompatibleValue` in class `TranscodingHints.Key`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.